body {
  margin: 0;
  padding: 0;
  font-family: "Roboto", monospace;
}

.links {
  text-decoration: none;
  color: black;
}

header {
  width: 95%;
  display: flex;
  justify-content: space-between;
  margin: auto;
  padding: 1em;
}

.item-category {
  padding-top: 3%;
  padding-bottom: 5%;
}
.item-category h1 {
  padding-top: 1em;
  font-size: 1em;
  text-align: center;
  font-weight: lighter;
}

.item-category div {
  color: grey;
  font-size: 0.8em;
  text-align: center;
}
.page-title {
  text-align: center;
  font-weight: bold;
  font-size: 1em;
  letter-spacing: 0.3em;
}

#page-content {
  display: flex;
  flex-direction: row;
}
.section {
  width: 95%;
}
.same-line {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-right: 1.1%;
  vertical-align: bottom;
}
.share-element {
  padding-right: 1%;
}

.order-section {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 5% 0 0 0;
  font-size: 0.8em;
}

.extra-padding {
  padding: 5% 0 2% 0;
}

.use-different {
  display: block;
  transform: translate(8%, 109%);
  font-size: 0.8em;
}
.billing-address {
  display: none;
}

#address-toggle:checked + .billing-address {
  display: block;
}

h2 {
  font-size: 0.8em;
}
.text-field {
  width: 98%;
  margin: 3em 0 0 0;
  border-bottom: solid;
  border-bottom-color: grey;
  border-bottom-width: 0.01em;
}
select:focus,
input:focus {
  border-style: none;
}
input:focus + .label-inside,
input:valid + .label-inside {
  transform: translateY(-4em);
  font-size: 0.7em;
  transition: all 0.1s ease-out;
  color: black;
}

form {
  padding: 0 10% 10% 10%;
}
.bar {
  position: relative;
  display: block;
  top: -1.115em;
}
.diff-trans {
  top: 0;
  transform: translateY(304%);
}

.bar:before,
.bar:after {
  content: "";
  height: 2px;
  width: 0;
  bottom: 1px;
  position: absolute;
  background: black;
}
.bar:before {
  left: 50%;
}
.bar:after {
  right: 50%;
}
select:focus ~ .bar:before,
select:focus ~ .bar:after,
input:focus ~ .bar:before,
input:focus ~ .bar:after {
  transition: 0.2s ease all;
  width: 50%;
}

label {
  z-index: -1;
}
.label-inside {
  display: inline-block;
  color: grey;
  transform: translateY(-1.6em);
  font-size: 0.9em;
}
.label-outside {
  font-size: 0.7em;
}

.section-one {
  margin-left: 10%;
  padding-right: 5%;
}
.section-two {
  margin-right: 10%;
}

#year-select {
  margin-top: 38px;
}

.card-details {
  width: 33%;
  padding-right: 3%;
}
/* Appearance */
select {
  width: 100%;
  background-color: transparent;
  border: none;
  border-bottom: solid;
  border-bottom-color: grey;
  border-bottom-width: 0.01em;
  padding: 2% 0 0 0;
  font-size: inherit;
}

button {
  background-color: white;
  color: black;
  border-style: solid;
  padding: 2% 7% 2% 7%;
  border-color: black;
}

input {
  border: none;
}

input:focus,
select:focus {
  outline: none;
}

.checkout-button1 {
  visibility: visible;
}
.checkout-button2 {
  visibility: hidden;
}

@media screen and (max-width: 767px) {
  header {
    width: 90%;
  }
  #page-content {
    display: flex;
    flex-direction: column;
    margin-bottom: 5%;
  }

  button {
    width: 100% !important;
    position: fixed;
    bottom: 0;
    margin: 0;
    border: none;
    background: #1e2f50;
    color: white;
    height: 5em;
    font-size: 1em;
  }

  .section-one {
    padding: 0;
    margin: 0;
    margin-bottom: 5%;
  }

  .checkout-button1 {
    visibility: hidden;
  }
  .checkout-button2 {
    visibility: visible;
  }
}
